import request from '@/utils/request'

// 查询约谈流程列表
export function listYtlc(query) {
  return request({
    url: '/tcZz/netManage/ytlc/list',
    method: 'get',
    params: query
  })
}

// 查询约谈流程详细
export function getYtlc(id) {
  return request({
    url: '/tcZz/netManage/ytlc/' + id,
    method: 'get'
  })
}

// 新增约谈流程
export function addYtlc(data) {
  return request({
    url: '/tcZz/netManage/ytlc',
    method: 'post',
    data: data
  })
}

// 修改约谈流程
export function updateYtlc(data) {
  return request({
    url: '/tcZz/netManage/ytlc',
    method: 'put',
    data: data
  })
}

// 删除约谈流程
export function delYtlc(id) {
  return request({
    url: '/tcZz/netManage/ytlc/' + id,
    method: 'delete'
  })
}
